import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockPageBanner from './block-page-banner';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {
	headingElement: {
		control: {
			type: 'select',
			options: ['h1', 'h2', 'h3', 'h4', 'h5', 'h6'],
		},
	},
};

export const controls = {
	color: ['headingColor', 'headingColorDesktop', 'ctaTextColor', 'copyColorDesktop', 'copyColor'],
	number: [],
	json: ['desktopImage', 'mobileImage', 'ctaLink'],
};

<Meta title="Page Banner" component={BlockPageBanner} argTypes={addControls(argTypes, controls)} />

# Page Banner

This module is used on the various pages, such as the Air Mini page.

It is used to display a heading and description above a hero image. The heading and description are optional.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockPageBanner },
		template: '<block-page-banner v-bind="$props" />',
	};
};

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			desktopImage: {
				url:
					'https://images.prismic.io/molekule/87c63ffe-b7d2-42c1-8f83-7a87ba3300df_Air+Min+-+Hero%402x.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 2880,
				height: 1540,
			},
			heading: 'Destroy pollutants in small rooms.',
			headingElement: 'h1',
			mobileImage: {
				url:
					'https://images.prismic.io/molekule/114bedb0-df03-4f7e-8407-c7cf95786d4c_Hero_Air_mini+mobile%403x.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 1131,
				height: 1560,
			},
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockPageBanner} />
